@use 'partials/variables/header';
@use 'partials/mixins/header-theme';

.mat-toolbar-row,
.mat-toolbar-single-row {
  height: auto;
  margin-bottom: header.$bottom-margin;
}

.header-container {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-end;
  width: 100vw;
}

.empaia-logo {
  flex: 0 0 auto;
  height: header.$logo-height;
}

.center-container {
  display: flex;
  flex: 1 0 auto;
}

.spacer-center-start {
  flex: 1 1 auto;
  content: none;
  margin-left: auto;
  width: 100%;
}

.center {
  flex: 0 0 auto;
  display: flex;
  margin: 0 auto;
  width: 100%;
}

.logged-in-container {
  display: flex;
  align-items: center;
}

.end-container {
  display: flex;
  flex: 0 0 auto;
  flex-wrap: wrap;
  max-width: 100%;
  margin-right: 0;
  margin-left: auto;
}

a {
  cursor: pointer;
}